package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.Game;
import ch.zhaw.projekt2.turnierverwaltung.Tournament;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import org.checkerframework.checker.units.qual.C;

import java.io.IOException;
import java.util.List;

public class GameScheduleController extends FXController {
    
    @FXML
    private Button createScheduleBtn;

    @FXML
    private Button editLocBtn;

    @FXML
    private Button editParticipantBtn;

    @FXML
    private HBox hBoxCenter;

    @FXML
    void createNewSchedule(ActionEvent event) {
        try {
            getTournamentDecorator().createNewGameSchedule();
        } catch (Tournament.NumberOfParticipantInvalidException e) {
            //TODO Method in FactoryDecorater to show msg
            e.printStackTrace();
        }
    }

    @FXML
    void openPlacesFormular(ActionEvent event) {
        getFactoryDecorator().openPlacesFormular();
    }

    @FXML
    void openParticipantFormular(ActionEvent event) {
        getFactoryDecorator().openParticipantFormular();
    }

    @Override
    public void loadContent() {
        hBoxCenter.getChildren().clear();

        List<List<Game>> gameList = getTournamentDecorator().getTournament().getGameList();

        for (int i = 0; i < gameList.size(); i++) {
            VBox vBox = new VBox();
            for (int j = 0; j < gameList.get(i).size(); j++) {
                getFactoryDecorator().openGameView(vBox,gameList.get(i).get(j));
            }
            hBoxCenter.getChildren().add(vBox);
        }

    }
}

